Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Enum PerformanceMeasureType

    java.lang.Object
      java.lang.Enum<PerformanceMeasureType>
          umontreal.iro.lecuyer.contactcenters.app.PerformanceMeasureType

All Implemented Interfaces:
  Serializable, Comparable<PerformanceMeasureType>

    public enum PerformanceMeasureType

extends Enum<PerformanceMeasureType>

Represents types of performance measures for contact centers. A performance measure estimated by approximation formulas or simulation can be described by a type, an index, and a time interval. The type might be, for example, `SERVICELEVEL`, while the index might represent a group of contact types called a segment. All statistics concerning a given type of performance measure are regrouped into a matrix with rows corresponding to the index, and columns generally matching the time intervals. See `RowType` and `ColumnType` for the possible types of rows and columns in matrices of statistics. Statistics can be point estimators, minima, maxima, variances, or confidence intervals. Point estimators can be computed, depending on the type of performance measure, using averages, functions of averages, averages of functions, or raw statistics. See `EstimationType` for the possible types of point estimators.

Constants of this enum are used to select a group of measures when obtaining a matrix of results from an evaluation system. This enum defines groups of performance measures, and provides facilities to format results. It does not calculate any matrix of statistics.

Table 1 presents a typical matrix of performance measures whose rows correspond to segments of contact types, and columns to segments of main periods. The upper left part of the table regroups the performance measures concerning specific contact types, and specific main periods. The lower part of the table regroups performance measures concerning segments of several contact types. This lower part appears in matrices of performance measures if K > 1, and contains several rows only if segments of contact types are defined by the user. However, an implicit segment regrouping all contact types always appears provided that K > 1.

In a similar way, the right part of the table regroups performance measures concerning segments regrouping several main periods. These segments, which are time intervals too, can be used, e.g., to get statistics for the morning, the afternoon, the evening, a day of a week, etc. In a similar way to the lower part, the right part of the table shows up only if P > 1, and an implicit segment regrouping all main periods is always displayed. Note that the bottom right element of the matrix corresponds to the performance measure concerning all contact types and main periods.

Table 1: Example of a matrix of performance measures

Segments can also be defined to regroup inbound and outbound contact types, and agent groups. A segment of inbound contact types affects only matrices of performance measures concerning inbound contact types, e.g., `SERVICELEVEL`. Similarly, a segment of outbound contact types affects only matrices of performance measures concerning outbound types, e.g., `RATEOFTRIEDOUTBOUND`.

Many types of performance measures we now describe correspond to the expected number of calls counted in a time interval [t1, t2] meeting a certain condition, e.g., served calls. By default, a call is counted in a time interval if it arrives during that interval. But using the `perPeriodCollectingMode` attribute of simulation parameters, this can be changed, e.g., to count a call if it ends its service or abandons during the interval.

Enum Constant Summary
`ABANDONMENTRATIO` Probability of abandonment, i.e., the fraction of the expected number of contacts having left the system without service over the total expected number of arrivals.
`ABANDONMENTRATIOAFTERAWT` Probability of abandonment after the acceptable waiting time.
`ABANDONMENTRATIOBEFOREAWT` Probability of abandonment before the acceptable waiting time.
`ABANDONMENTRATIOREP` Corresponds to the expectation of ratio version of `ABANDONMENTRATIO`.
`AVGBUSYAGENTS` Expected time-average number of busy agents over the simulation time, for each agent group and period.
`AVGQUEUESIZE` Represents the expected time-average queue size for each waiting queue.
`AVGSCHEDULEDAGENTS` Represents the expected time-average number of scheduled agents over the simulation time, for each agent group and period.
`AVGWORKINGAGENTS` Represents the expected time-average number of working agents over the simulation time, for each agent group and period.
`BLOCKRATIO` Probability of blocking, i.e., the fraction of the expected number of blocked contacts over the total expected number of arrivals.
`BLOCKRATIOREP` Corresponds to the expectation of ratio version of `BLOCKRATIO`.
`BUSYAGENTSENDSIM` Number of busy agents at the end of the simulation.
`DELAYRATIO` Probability of delay, i.e., the fraction of the expected number of contacts not served immediately over the total expected number of arrivals.
`DELAYRATIOREP` Corresponds to the expectation of ratio version of `DELAYRATIO`.
`EXCESSTIME` Average excess time performance measure.
`EXCESSTIMEABANDONED` Average excess time performance measure for contacts having abandoned.
`EXCESSTIMEABANDONEDREP` Expectation of ratio version of `EXCESSTIMEABANDONED`.
`EXCESSTIMEREP` Expectation of ratio version of `EXCESSTIME`.
`EXCESSTIMESERVED` Average excess time performance measure for served contacts.
`EXCESSTIMESERVEDREP` Expectation of ratio version of `EXCESSTIMESERVED`.
`MAXBUSYAGENTS` Represents the expected maximal number of busy agents observed for a set of agent groups.
`MAXQUEUESIZE` Represents the expected maximal size observed for a waiting queue.
`MAXWAITINGTIME` Represents the expected maximal waiting time observed for a set of contact types.
`MAXWAITINGTIMEABANDONED` Represents the expected maximal waiting time of contacts having abandoned, for each contact type and period.
`MAXWAITINGTIMEG` Same as `MAXWAITINGTIME`, for (contact type, agent group) pairs.
`MAXWAITINGTIMESERVED` Represents the maximal expected waiting time of served contacts, for each contact type and period.
`MAXWAITINGTIMESERVEDG` Represents the maximal expected waiting time of served contacts, for each (contact type, agent group) pair and period.
`OCCUPANCY` Agents' occupancy ratio.
`OCCUPANCY2` Alternate agents' occupancy ratio.
`OCCUPANCY2REP` Corresponds to the expectation of ratio version of `OCCUPANCY2`.
`OCCUPANCYREP` Corresponds to the expectation of ratio version of `OCCUPANCY`.
`QUEUESIZEENDSIM` Gives the queue size at the end of the simulation.
`RATEOFABANDONMENT` Corresponds to the rate of contacts of each type having abandoned, excluding contacts blocked because of insufficient queue capacity.
`RATEOFABANDONMENTAFTERAWT` Corresponds to the rate of contacts of each inbound type having waited more than the acceptable waiting time, before they abandon.
`RATEOFABANDONMENTBEFOREAWT` Corresponds to the rate of contacts of each inbound type having waited less than the acceptable waiting time, before they abandon.
`RATEOFARRIVALS` Defined as the rate of contacts arriving into the router for being assigned an agent.
`RATEOFARRIVALSIN` Same as `RATEOFARRIVALS`, for inbound contacts only.
`RATEOFBLOCKING` Corresponds to the rate of contacts blocked because the queue capacity was exceeded at the time of their arrivals.
`RATEOFDELAY` Corresponds to the rate of delayed contacts, i.e., the rate of contacts not served immediately upon arrival.
`RATEOFINTARGETSL` Corresponds to the rate of served or abandoned inbound contacts of each type having waited less than the acceptable waiting time.
`RATEOFOFFERED` Defined as the rate of contacts offered.
`RATEOFSERVICES` Represents the rate of served contacts for each contact type and period.
`RATEOFSERVICESAFTERAWT` Corresponds to the rate of served inbound contacts of each type having waited more than the acceptable waiting time.
`RATEOFSERVICESBEFOREAWT` Corresponds to the rate of served inbound contacts of each type having waited less than the acceptable waiting time.
`RATEOFSERVICESG` Represents the rate of served contacts for each contact type, agent group, and period.
`RATEOFTRIEDOUTBOUND` Defined as the rate of contacts of each outbound type the dialer or agents have tried to make.
`RATEOFWRONGPARTYCONNECT` Defined as the rate of contacts of each outbound type the dialer or agents have tried to make, and for which the wrong party was reached.
`SERVEDRATES` Represents the rate of contacts of a given type served by agents in a specific group, per simulation time unit.
`SERVICELEVEL` Service level performance measure.
`SERVICELEVEL2` Alternate service level performance measure.
`SERVICELEVEL2REP` Represents the expectation of ratio version of `SERVICELEVEL2`.
`SERVICELEVELG` Service level performance measure for contact types and agent groups.
`SERVICELEVELREP` Represents the expectation of ratio version of `SERVICELEVEL`.
`SERVICERATIO` Probability of service, i.e., the fraction of the expected number of contacts served over the total expected number of arrivals.
`SERVICERATIOREP` Corresponds to the expectation of ratio version of `SERVICERATIO`.
`SERVICETIME` Expected total service time over the expected number of services, for each contact type, whether inbound or outbound.
`SERVICETIMEG` Expected total service time over the expected number of services, for each (contact type, agent group).
`SERVICETIMEREP` Corresponds to the expectation of ratio version of `SERVICETIME`.
`SPEEDOFANSWER` Average speed of answer, i.e., the expected total waiting time of served contacts over the expected number of served contacts, for each contact type, whether inbound or outbound.
`SPEEDOFANSWERG` Average speed of answer for (contact type, agent group), i.e., the expected total waiting time of served contacts over the expected number of served contacts, for each (contact type, agent group) pair.
`SPEEDOFANSWERREP` Corresponds to the expectation of ratio version of `SPEEDOFANSWER`.
`SUMEXCESSTIMES` Represents the expected sum of excess times of contacts.
`SUMEXCESSTIMESABANDONED` Represents the expected sum of excess times of contacts having abandoned.
`SUMEXCESSTIMESSERVED` Represents the expected sum of excess times of served contacts.
`SUMSERVICETIMES` Represents the sum of service times of contacts.
`SUMWAITINGTIMES` Represents the sum of waiting times, for each contact type.
`SUMWAITINGTIMESABANDONED` Represents the sum of waiting times of contacts having abandoned, for each contact type.
`SUMWAITINGTIMESSERVED` Represents the sum of waiting times of served contacts, for each contact type.
`SUMWAITINGTIMESVQ` Represents the sum of waiting times in virtual queue, for each contact type.
`SUMWAITINGTIMESVQABANDONED` Represents the sum of waiting times in virtual queue of contacts having abandoned, for each contact type.
`SUMWAITINGTIMESVQSERVED` Represents the sum of waiting times in virtual queue of served contacts, for each contact type.
`TIMETOABANDON` Time to abandon of contacts, i.e., the expected total waiting time of contacts having abandoned over the expected number of contacts having abandoned, for each contact type, whether inbound or outbound.
`TIMETOABANDONREP` Corresponds to the expectation of ratio version of `TIMETOABANDON`.
`WAITINGTIME` Expected total waiting time over the expected number of arrivals, for each contact type, whether inbound or outbound, whether served or having abandoned.
`WAITINGTIMEG` Average waiting time, for each (contact type, agent group) pair, whether inbound or outbound, whether served or having abandoned.
`WAITINGTIMEREP` Corresponds to the expectation of ratio version of `WAITINGTIME`.
`WAITINGTIMEVQ` Expected total waiting time in virtual queue over the expected number of arrivals, for each contact type, whether inbound or outbound, whether served or having abandoned.
`WAITINGTIMEVQABANDONED` Average time spent in virtual queue before contact back followed by abandonment.
`WAITINGTIMEVQABANDONEDREP` Corresponds to the expectation of ratio version of `WAITINGTIMEVQABANDONED`.
`WAITINGTIMEVQREP` Corresponds to the expectation of ratio version of `WAITINGTIMEVQ`.
`WAITINGTIMEVQSERVED` Average time spent in virtual queue for contacts served after they are contacted back.
`WAITINGTIMEVQSERVEDREP` Corresponds to the expectation of ratio version of `WAITINGTIMEVQSERVED`.
`WAITINGTIMEWAIT` Expected total waiting time over the expected number of contacts having to wait in queue.
`WAITINGTIMEWAITREP` Corresponds to the expectation of ratio version of `WAITINGTIMEWAIT`.

Field Summary
`static PerformanceMeasureType` | `ABANDONMENTRATE` Deprecated. Use `ABANDONMENTRATIO` instead.
`static PerformanceMeasureType` | `ABANDONMENTRATEAFTERAWT` Deprecated. Use `ABANDONMENTRATIOAFTERAWT` instead.
`static PerformanceMeasureType` | `ABANDONMENTRATEBEFOREAWT` Deprecated. Use `ABANDONMENTRATIOBEFOREAWT` instead.
`static PerformanceMeasureType` | `ABANDONMENTRATEREP` Deprecated. Use `ABANDONMENTRATIOREP` instead.
`static PerformanceMeasureType` | `ABANDONRATE` Deprecated. Use `ABANDONMENTRATIO` instead.
`static PerformanceMeasureType` | `ABANDONRATEAFTERAWT` Deprecated. Use `ABANDONMENTRATIOAFTERAWT` instead.
`static PerformanceMeasureType` | `ABANDONRATEBEFOREAWT` Deprecated. Use `ABANDONMENTRATIOBEFOREAWT` instead.
`static PerformanceMeasureType` | `ABANDONRATEREP` Deprecated. Use `ABANDONMENTRATIOREP` instead.
`static PerformanceMeasureType` | `BLOCKRATE` Deprecated. Use `BLOCKRATIO` instead.
`static PerformanceMeasureType` | `BLOCKRATEREP` Deprecated. Use `BLOCKRATIOREP` instead.
`static PerformanceMeasureType` | `PATIENCETIME` Deprecated. Use `TIMETOABANDON` instead.
`static PerformanceMeasureType` | `PATIENCETIMEREP` Deprecated. Use `TIMETOABANDONREP` instead.
`static PerformanceMeasureType` | `POSWAITRATIO` Deprecated. Use `DELAYRATIO` instead.
`static PerformanceMeasureType` | `POSWAITRATIOREP` Deprecated. Use `DELAYRATIOREP` instead.
`static PerformanceMeasureType` | `QOS` Deprecated. Use `SERVICELEVEL` instead.
`static PerformanceMeasureType` | `QOS2` Deprecated. Use `SERVICELEVEL2` instead.
`static PerformanceMeasureType` | `QOS2REP` Deprecated. Use `SERVICELEVEL2REP` instead.
`static PerformanceMeasureType` | `QOSREP` Deprecated. Use `SERVICELEVELREP` instead.
`static PerformanceMeasureType` | `RATEOFPOSWAIT` Deprecated. Use `RATEOFDELAY` instead.

Method Summary
`String` | `columnName(ContactCenterInfo eval, int col)` Returns the name associated with the column `col` in the matrix of results for this type of performance measure estimated by `eval`.
`Map<String,String>` | `columnProperties(ContactCenterInfo eval, int column)` Returns the properties associated with the column `column` in a matrix of results for this type of performance measure estimated by `eval`.
`int` | `columns(ContactCenterInfo eval)` Returns the number of columns in a matrix of performance measures of this type estimated by the evaluation system `eval`.
`String` | `columnTitle()` Returns the title that should identify the columns of the matrix of results for this type of performance measure.
`static DoubleMatrix2D` | `getAgentToContactTrafficMatrix(ContactCenterEval eval)` Constructs and returns the agent-to-contact traffic matrix for the contact center evaluation system `eval`.
`ColumnType` | `getColumnType()` Returns the type of the columns in any matrix of this type of performance measure.
`static DoubleMatrix2D` | `getContactToAgentTrafficMatrix(ContactCenterEval eval)` Constructs and returns the contact-to-agent traffic matrix for the contact center evaluation system `eval`.
`String` | `getDescription()` Returns the descriptive name of this group of performance measures.
`EstimationType` | `getEstimationType()` Returns the type of estimation specified for this type of performance measure.
`RowType` | `getRowType()` Returns the type of the rows in any matrix of this type of performance measure.
`double` | `getZeroOverZeroValue()` Determines the value associated with the undefined 0/0 ratio, for performance measures of this type.
`boolean` | `isPercentage()` Returns `true` if and only if performance measures of this type can be expressed in percentage.
`boolean` | `isTime()` Determines if performance measures of this type represent time durations.
`String` | `rowName(ContactCenterInfo eval, int row)` Returns the name associated with the row `row` in a matrix of results for this type of performance measure estimated by `eval`.
`Map<String,String>` | `rowProperties(ContactCenterInfo eval, int row)` Returns the properties associated with the row `row` in a matrix of results for this type of performance measure estimated by `eval`.
`int` | `rows(ContactCenterInfo eval)` Returns the number of rows in a matrix of performance measures of this type estimated by the evaluation system `eval`.
`String` | `rowTitle()` Returns the title that should identify the rows of matrices of results for this type of performance measure.
`static PerformanceMeasureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PerformanceMeasureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABANDONMENTRATIO

    public static final PerformanceMeasureType ABANDONMENTRATIO

  Probability of abandonment, i.e., the fraction of the expected number of contacts having left the system without service over the total expected number of arrivals.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### ABANDONMENTRATIOAFTERAWT

    public static final PerformanceMeasureType ABANDONMENTRATIOAFTERAWT

  Probability of abandonment after the acceptable waiting time. This corresponds to the fraction of the expected number of contacts having left the system without service and after a waiting time greater than or equal to the acceptable waiting time, over the total expected number of arrivals.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### ABANDONMENTRATIOBEFOREAWT

    public static final PerformanceMeasureType ABANDONMENTRATIOBEFOREAWT

  Probability of abandonment before the acceptable waiting time. This corresponds to the fraction of the expected number of contacts having left the system without service and waiting at most for the acceptable waiting time, over the total expected number of arrivals.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### ABANDONMENTRATIOREP

    public static final PerformanceMeasureType ABANDONMENTRATIOREP

  Corresponds to the expectation of ratio version of `ABANDONMENTRATIO`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### AVGBUSYAGENTS

    public static final PerformanceMeasureType AVGBUSYAGENTS

  Expected time-average number of busy agents over the simulation time, for each agent group and period. More specifically, if (t) is the number of busy agents at time t, for a time interval [t1, t2], the performance measure is given by

  [(t)dt].

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### AVGQUEUESIZE

    public static final PerformanceMeasureType AVGQUEUESIZE

  Represents the expected time-average queue size for each waiting queue. This measure corresponds to the integral of the queue size over simulation time whereas `MAXQUEUESIZE` gives the maximal observed queue size. More specifically, if Q(t) is the queue size at time t, for any time interval [t1, t2], the performance measure is given by

  [Q(t)dt].

  Row type
    WAITINGQUEUE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### AVGSCHEDULEDAGENTS

    public static final PerformanceMeasureType AVGSCHEDULEDAGENTS

  Represents the expected time-average number of scheduled agents over the simulation time, for each agent group and period. This includes the busy and idle agents (available or not), as well as the ghost agents, i.e., agents finishing the service of contacts before leaving. More specifically, if N(t) is the number of agents scheduled at time t, and (t) is the number of extra ghost agents, for a time interval [t1, t2], the performance measure is given by

  [(N(t) + (t))dt].

  As N(t) is set according to the staffing given by the user, it is constant during main periods, and the above quantity is random only because of (t). Moreover, because of the ghost agents, if this performance measure is estimated for a specific main period, the obtained estimate will often be higher than the input staffing for the same period.

  Also note that this performance measure on the whole horizon does not correspond to the mean number of full-time equivalents (FTE). To get the FTE, one should multiply the time-average number of agents by (tP - t0)/h where t0 and tP are the starting and ending times of the main periods, and h is the duration of an average working day for agents. Of course, every one of these quantities must be expressed in the same time unit to get a valid ratio.

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### AVGWORKINGAGENTS

    public static final PerformanceMeasureType AVGWORKINGAGENTS

  Represents the expected time-average number of working agents over the simulation time, for each agent group and period. This is similar to `AVGSCHEDULEDAGENTS` but excludes the non-available idle agents. More specifically, if (t) is the number of busy agents at time t, and (t) is the number of idle but available agents, for a time interval [t1, t2], the performance measure is given by

  [((t) + (t))dt].

  If agents cannot become unavailable, e.g., by disconnecting temporarily after service terminations, the two performance measures are identical.

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### BLOCKRATIO

    public static final PerformanceMeasureType BLOCKRATIO

  Probability of blocking, i.e., the fraction of the expected number of blocked contacts over the total expected number of arrivals.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### BLOCKRATIOREP

    public static final PerformanceMeasureType BLOCKRATIOREP

  Corresponds to the expectation of ratio version of `BLOCKRATIO`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### BUSYAGENTSENDSIM

    public static final PerformanceMeasureType BUSYAGENTSENDSIM

  Number of busy agents at the end of the simulation. When the simulation horizon is finite, this should always be 0.

  Row type
    AGENTGROUP
  Column type
    SINGLECOLUMN
  Estimation type
    RAWSTATISTIC

### DELAYRATIO

    public static final PerformanceMeasureType DELAYRATIO

  Probability of delay, i.e., the fraction of the expected number of contacts not served immediately over the total expected number of arrivals.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### DELAYRATIOREP

    public static final PerformanceMeasureType DELAYRATIOREP

  Corresponds to the expectation of ratio version of `DELAYRATIO`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### EXCESSTIME

    public static final PerformanceMeasureType EXCESSTIME

  Average excess time performance measure. This corresponds to the expected sum of excess times for all contacts over the expected number of arrivals. Let A(t2, t2) be the total number of calls counted during interval [t1, t2] and Wi the waiting time of the ith contact counted during the interval, and s the acceptable waiting time. The average excess time is

  .

  The numerator of the ratio corresponds to `SUMEXCESSTIMES`, while the denominator corresponds to `RATEOFARRIVALS`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### EXCESSTIMEABANDONED

    public static final PerformanceMeasureType EXCESSTIMEABANDONED

  Average excess time performance measure for contacts having abandoned. This corresponds to the expected total excess time for contacts having abandoned over the expected number of abandoned contacts. Let L(t1, t2) be the number of contacts counted during time interval [t1, t2] and having abandoned, and Wi the waiting time of the ith contact counted during [t1, t2], and s the acceptable waiting time. The average excess time is

  .

  The numerator of the ratio corresponds to `SUMEXCESSTIMESABANDONED`, while the denominator corresponds to `RATEOFABANDONMENT`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### EXCESSTIMEABANDONEDREP

    public static final PerformanceMeasureType EXCESSTIMEABANDONEDREP

  Expectation of ratio version of `EXCESSTIMEABANDONED`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### EXCESSTIMEREP

    public static final PerformanceMeasureType EXCESSTIMEREP

  Expectation of ratio version of `EXCESSTIME`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### EXCESSTIMESERVED

    public static final PerformanceMeasureType EXCESSTIMESERVED

  Average excess time performance measure for served contacts. This corresponds to the expected total excess time for contacts having been served over the expected number of served contacts. Let S(t1, t2) be the number of served contacts counted during interval [t1, t2] and Wi the waiting time of the ith contact counted during [t1, t2], and s the acceptable waiting time. The average excess time is

  .

  The numerator of the ratio corresponds to `SUMEXCESSTIMESSERVED`, while the denominator corresponds to `RATEOFSERVICES`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### EXCESSTIMESERVEDREP

    public static final PerformanceMeasureType EXCESSTIMESERVEDREP

  Expectation of ratio version of `EXCESSTIMESERVED`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### MAXBUSYAGENTS

    public static final PerformanceMeasureType MAXBUSYAGENTS

  Represents the expected maximal number of busy agents observed for a set of agent groups. This expectation often corresponds to the number of scheduled agents, because for most models, all agents are busy at some times. However, the maximal number of busy agents may be smaller than the number of agents if too many agents were planned. If the expectation is estimated by an average of observations, taking the maximum of these observations gives the maximal number of busy agents over all the simulation.

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### MAXQUEUESIZE

    public static final PerformanceMeasureType MAXQUEUESIZE

  Represents the expected maximal size observed for a waiting queue. If the expectation is estimated by an average of observations, taking the maximum of these observations gives the maximal queue size observed during all the simulation.

  Row type
    WAITINGQUEUE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### MAXWAITINGTIME

    public static final PerformanceMeasureType MAXWAITINGTIME

  Represents the expected maximal waiting time observed for a set of contact types. This performance measure can be defined as follows for a specific contact type. Let Wk be the (random) waiting time for a contact of type k. The maximal waiting time for contacts of type k during the simulated horizon is (Wk) while the performance measure is [(Wk)]. In a similar way, we can define the measure for all contacts. For this, let W be the waiting time for a contact of any type. The performance measure is then [(W)]. Note that although (W) = (W1,…, WK), in general,

  [(W)]≠([W1],…,[WK]).

  The performance can be defined similarly for specific time intervals.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### MAXWAITINGTIMEG

    public static final PerformanceMeasureType MAXWAITINGTIMEG

  Same as `MAXWAITINGTIME`, for (contact type, agent group) pairs.

  Row type
    CONTACTTYPEAGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### MAXWAITINGTIMEABANDONED

    public static final PerformanceMeasureType MAXWAITINGTIMEABANDONED

  Represents the expected maximal waiting time of contacts having abandoned, for each contact type and period.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### MAXWAITINGTIMESERVED

    public static final PerformanceMeasureType MAXWAITINGTIMESERVED

  Represents the maximal expected waiting time of served contacts, for each contact type and period.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### MAXWAITINGTIMESERVEDG

    public static final PerformanceMeasureType MAXWAITINGTIMESERVEDG

  Represents the maximal expected waiting time of served contacts, for each (contact type, agent group) pair and period.

  Row type
    CONTACTTYPEAGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### OCCUPANCY

    public static final PerformanceMeasureType OCCUPANCY

  Agents' occupancy ratio. Defined as the expected number of busy agents over the expected total number of scheduled agents, over the simulation time. The expectation at the numerator corresponds to the `AVGBUSYAGENTS` type of performance measure while the expectation at the denominator corresponds to `AVGSCHEDULEDAGENTS`.

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### OCCUPANCY2

    public static final PerformanceMeasureType OCCUPANCY2

  Alternate agents' occupancy ratio. Defined as the expected number of busy agents over the expected total number of working agents, over the simulation time. This differs from `OCCUPANCY` only when agents are allowed to disconnect after services. The expectation at the numerator corresponds to the `AVGBUSYAGENTS` type of performance measure while the expectation at the denominator corresponds to `AVGWORKINGAGENTS`.

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### OCCUPANCY2REP

    public static final PerformanceMeasureType OCCUPANCY2REP

  Corresponds to the expectation of ratio version of `OCCUPANCY2`.

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### OCCUPANCYREP

    public static final PerformanceMeasureType OCCUPANCYREP

  Corresponds to the expectation of ratio version of `OCCUPANCY`.

  Row type
    AGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### QUEUESIZEENDSIM

    public static final PerformanceMeasureType QUEUESIZEENDSIM

  Gives the queue size at the end of the simulation. This quantity should be 0 for simulations over a finite horizon, since the waiting queues are emptied at the end of each replication.

  Row type
    WAITINGQUEUE
  Column type
    SINGLECOLUMN
  Estimation type
    RAWSTATISTIC

### RATEOFABANDONMENT

    public static final PerformanceMeasureType RATEOFABANDONMENT

  Corresponds to the rate of contacts of each type having abandoned, excluding contacts blocked because of insufficient queue capacity.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFABANDONMENTAFTERAWT

    public static final PerformanceMeasureType RATEOFABANDONMENTAFTERAWT

  Corresponds to the rate of contacts of each inbound type having waited more than the acceptable waiting time, before they abandon.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFABANDONMENTBEFOREAWT

    public static final PerformanceMeasureType RATEOFABANDONMENTBEFOREAWT

  Corresponds to the rate of contacts of each inbound type having waited less than the acceptable waiting time, before they abandon.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFARRIVALS

    public static final PerformanceMeasureType RATEOFARRIVALS

  Defined as the rate of contacts arriving into the router for being assigned an agent. This includes blocked and served contacts, as well as contacts having abandoned. For inbound contacts, the arrival rate can be computed easily from the input data, except for call types corresponding to transfer targets. For outbound contacts, this corresponds to the rate of right party connects during the simulation.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFARRIVALSIN

    public static final PerformanceMeasureType RATEOFARRIVALSIN

  Same as `RATEOFARRIVALS`, for inbound contacts only.

### RATEOFBLOCKING

    public static final PerformanceMeasureType RATEOFBLOCKING

  Corresponds to the rate of contacts blocked because the queue capacity was exceeded at the time of their arrivals.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFDELAY

    public static final PerformanceMeasureType RATEOFDELAY

  Corresponds to the rate of delayed contacts, i.e., the rate of contacts not served immediately upon arrival. Since blocked contacts would have to wait if they were not blocked, they are counted as positive waits too. For outbound contacts, this corresponds to mismatches.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFINTARGETSL

    public static final PerformanceMeasureType RATEOFINTARGETSL

  Corresponds to the rate of served or abandoned inbound contacts of each type having waited less than the acceptable waiting time. This corresponds to the sum of performance measures `RATEOFABANDONMENTBEFOREAWT` and `RATEOFSERVICESBEFOREAWT`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFOFFERED

    public static final PerformanceMeasureType RATEOFOFFERED

  Defined as the rate of contacts offered. This includes served contacts as well as contacts still in queue after the end of experiment or having abandoned, but this excludes blocked contacts. For outbound contacts, this corresponds to the rate of right party connects during the simulation. When the total queue capacity is infinite, this corresponds to the number of arrivals `RATEOFARRIVALS`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFSERVICES

    public static final PerformanceMeasureType RATEOFSERVICES

  Represents the rate of served contacts for each contact type and period.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFSERVICESAFTERAWT

    public static final PerformanceMeasureType RATEOFSERVICESAFTERAWT

  Corresponds to the rate of served inbound contacts of each type having waited more than the acceptable waiting time.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFSERVICESBEFOREAWT

    public static final PerformanceMeasureType RATEOFSERVICESBEFOREAWT

  Corresponds to the rate of served inbound contacts of each type having waited less than the acceptable waiting time.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFSERVICESG

    public static final PerformanceMeasureType RATEOFSERVICESG

  Represents the rate of served contacts for each contact type, agent group, and period. This is similar to `RATEOFSERVICES`, but this gives the rate at which each agent group serves contacts of each type.

  Row type
    CONTACTTYPEAGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFTRIEDOUTBOUND

    public static final PerformanceMeasureType RATEOFTRIEDOUTBOUND

  Defined as the rate of contacts of each outbound type the dialer or agents have tried to make. This includes the number of reached (arrived) contacts as well as the number of failed contacts.

  Row type
    OUTBOUNDTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### RATEOFWRONGPARTYCONNECT

    public static final PerformanceMeasureType RATEOFWRONGPARTYCONNECT

  Defined as the rate of contacts of each outbound type the dialer or agents have tried to make, and for which the wrong party was reached.

  Row type
    OUTBOUNDTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SERVEDRATES

    public static final PerformanceMeasureType SERVEDRATES

  Represents the rate of contacts of a given type served by agents in a specific group, per simulation time unit. The element (k, i) of a served rates matrix corresponds to the rate of served contacts of type k by agents in the group i during one simulation time unit. Column i of the last row corresponds to the total number of served contacts by agents in the group i, per simulation time unit. Row k of the last column represents the total number of contacts with type k served by any agent, per simulation time unit.

  This performance measure is similar to `RATEOFSERVICESG`, except that it is estimated only globally, not for each main period, with less memory than `RATEOFSERVICESG`.

  Row type
    CONTACTTYPE
  Column type
    AGENTGROUP
  Estimation type
    EXPECTATION

### SERVICELEVEL

    public static final PerformanceMeasureType SERVICELEVEL

  Service level performance measure. Let (s, t1, t2) be the number of contacts counted during interval [t1, t2], and served after a waiting time less than or equal to the acceptable waiting time s, and S(t1, t2) be the total number of served contacts counted during [t1, t2]. Let (s, t1, t2) be the number of contacts counted during interval [t1, t2] having abandoned after a waiting time smaller than or equal to the acceptable waiting time, and A(t1, t2) be the total number of contacts counted in the [t1, t2] interval. The service level is defined by

  g1(s, t1, t2) = [(s, t1, t2)]/[A(t1, t2) - (s, t1, t2)].

  NOTE: since this performance measure is of type `FUNCTIONOFEXPECTATIONS`, the complete list of observations generated by the simulator are not available directly; instead, one must use the performance measure `SERVICELEVELREP`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SERVICELEVELREP

    public static final PerformanceMeasureType SERVICELEVELREP

  Represents the expectation of ratio version of `SERVICELEVEL`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### SERVICELEVEL2

    public static final PerformanceMeasureType SERVICELEVEL2

  Alternate service level performance measure. This service level is defined as

  g2(s, t1, t2) = [(s, t1, t2) + (s, t1, t2)]/[A(t1, t2)],

  with the same notation as in `SERVICELEVEL`. The performance measure matrix has the same format as `SERVICELEVEL`, and this type of measure is equivalent to `SERVICELEVEL` if there is no abandonment, and all contacts exit the waiting queues before the end of the simulation.

  NOTE: since this performance measure is of type `FUNCTIONOFEXPECTATIONS`, the complete list of observations generated by the simulator are not available directly; instead, one must use the performance measure `SERVICELEVEL2REP`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SERVICELEVEL2REP

    public static final PerformanceMeasureType SERVICELEVEL2REP

  Represents the expectation of ratio version of `SERVICELEVEL2`.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### SERVICELEVELG

    public static final PerformanceMeasureType SERVICELEVELG

  Service level performance measure for contact types and agent groups. Let [k, i](s, t1, t2) be the number of contacts of type k counted during time interval [t1, t2] and served by agents in group i after a waiting time less than or equal to the acceptable waiting time s. Let Sk, i(t1, t2) be the number of type-k contacts counted during the interval, and served by agents in groupe i. Let Bk(t1, t2) and [k](s, t1, t2) be the number of contacts of type k counted during [t1, t2], blocked and having abandoned after a waiting time greater than the acceptable waiting time, respectively. The service level is defined by

  g3(s, t1, t2) = [[k, i](s, t1, t2)]/[Sk, i(t1, t2) + [k](s, t1, t2) + Bk(t1, t2)].

  Row type
    INBOUNDTYPEAWTAGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SERVICERATIO

    public static final PerformanceMeasureType SERVICERATIO

  Probability of service, i.e., the fraction of the expected number of contacts served over the total expected number of arrivals.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SERVICERATIOREP

    public static final PerformanceMeasureType SERVICERATIOREP

  Corresponds to the expectation of ratio version of `SERVICERATIO`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### SERVICETIME

    public static final PerformanceMeasureType SERVICETIME

  Expected total service time over the expected number of services, for each contact type, whether inbound or outbound. Usually, this can be computed easily from the input service time, and can therefore be used for checking parameter files. However, when call transfers or virtual queueing occur, service times can be altered by multipliers or additional random variables.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SERVICETIMEG

    public static final PerformanceMeasureType SERVICETIMEG

  Expected total service time over the expected number of services, for each (contact type, agent group).

  Row type
    CONTACTTYPEAGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SERVICETIMEREP

    public static final PerformanceMeasureType SERVICETIMEREP

  Corresponds to the expectation of ratio version of `SERVICETIME`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### SPEEDOFANSWER

    public static final PerformanceMeasureType SPEEDOFANSWER

  Average speed of answer, i.e., the expected total waiting time of served contacts over the expected number of served contacts, for each contact type, whether inbound or outbound. The numerator of the ratio corresponds to `SUMWAITINGTIMESSERVED`, while the denominator corresponds to `RATEOFSERVICES`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SPEEDOFANSWERG

    public static final PerformanceMeasureType SPEEDOFANSWERG

  Average speed of answer for (contact type, agent group), i.e., the expected total waiting time of served contacts over the expected number of served contacts, for each (contact type, agent group) pair.

  Row type
    CONTACTTYPEAGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### SPEEDOFANSWERREP

    public static final PerformanceMeasureType SPEEDOFANSWERREP

  Corresponds to the expectation of ratio version of `SPEEDOFANSWER`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### SUMEXCESSTIMES

    public static final PerformanceMeasureType SUMEXCESSTIMES

  Represents the expected sum of excess times of contacts. For a contact with waiting time W and acceptable waiting time s used for computing the service level, the excess time is (W - s)+.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMEXCESSTIMESABANDONED

    public static final PerformanceMeasureType SUMEXCESSTIMESABANDONED

  Represents the expected sum of excess times of contacts having abandoned.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMEXCESSTIMESSERVED

    public static final PerformanceMeasureType SUMEXCESSTIMESSERVED

  Represents the expected sum of excess times of served contacts.

  Row type
    INBOUNDTYPEAWT
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMSERVICETIMES

    public static final PerformanceMeasureType SUMSERVICETIMES

  Represents the sum of service times of contacts.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMWAITINGTIMES

    public static final PerformanceMeasureType SUMWAITINGTIMES

  Represents the sum of waiting times, for each contact type.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMWAITINGTIMESABANDONED

    public static final PerformanceMeasureType SUMWAITINGTIMESABANDONED

  Represents the sum of waiting times of contacts having abandoned, for each contact type.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMWAITINGTIMESSERVED

    public static final PerformanceMeasureType SUMWAITINGTIMESSERVED

  Represents the sum of waiting times of served contacts, for each contact type.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMWAITINGTIMESVQ

    public static final PerformanceMeasureType SUMWAITINGTIMESVQ

  Represents the sum of waiting times in virtual queue, for each contact type.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMWAITINGTIMESVQABANDONED

    public static final PerformanceMeasureType SUMWAITINGTIMESVQABANDONED

  Represents the sum of waiting times in virtual queue of contacts having abandoned, for each contact type.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### SUMWAITINGTIMESVQSERVED

    public static final PerformanceMeasureType SUMWAITINGTIMESVQSERVED

  Represents the sum of waiting times in virtual queue of served contacts, for each contact type.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATION

### TIMETOABANDON

    public static final PerformanceMeasureType TIMETOABANDON

  Time to abandon of contacts, i.e., the expected total waiting time of contacts having abandoned over the expected number of contacts having abandoned, for each contact type, whether inbound or outbound. The numerator of the ratio corresponds to `SUMWAITINGTIMESABANDONED`, while the denominator corresponds to `RATEOFABANDONMENT`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### TIMETOABANDONREP

    public static final PerformanceMeasureType TIMETOABANDONREP

  Corresponds to the expectation of ratio version of `TIMETOABANDON`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### WAITINGTIME

    public static final PerformanceMeasureType WAITINGTIME

  Expected total waiting time over the expected number of arrivals, for each contact type, whether inbound or outbound, whether served or having abandoned. For outbound contacts, the expected waiting times are non-zero only when mismatches are not dropped. The numerator of the ratio corresponds to `SUMWAITINGTIMES`, while the denominator corresponds to `RATEOFARRIVALS`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### WAITINGTIMEG

    public static final PerformanceMeasureType WAITINGTIMEG

  Average waiting time, for each (contact type, agent group) pair, whether inbound or outbound, whether served or having abandoned. Let [k, i](t1, t2) be the sum of waiting times for contacts of type k served by agents in groupe i, counted during time interval [t1, t2]. Let Sk, i(t1, t2) be the number of type-k contacts served by agents in group i, and counted during the time interval [t1, t2]. Let Lk(t1, t2) and Bk(t1, t2) the number of type-k blocked contacts counted during the interval. The average waiting time for type k and group i is then defined as

  [[k, i](t1, t2)]/[Sk, i(t1, t2) + Lk(t1, t2) + Bk(t1, t2)].

  Row type
    CONTACTTYPEAGENTGROUP
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### WAITINGTIMEREP

    public static final PerformanceMeasureType WAITINGTIMEREP

  Corresponds to the expectation of ratio version of `WAITINGTIME`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### WAITINGTIMEVQ

    public static final PerformanceMeasureType WAITINGTIMEVQ

  Expected total waiting time in virtual queue over the expected number of arrivals, for each contact type, whether inbound or outbound, whether served or having abandoned. The numerator of the ratio corresponds to `SUMWAITINGTIMESVQ`, while the denominator corresponds to `RATEOFARRIVALS`. Note that this waiting time is not counted in the regular waiting time corresponding to `WAITINGTIME` type of performance measure.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### WAITINGTIMEVQABANDONED

    public static final PerformanceMeasureType WAITINGTIMEVQABANDONED

  Average time spent in virtual queue before contact back followed by abandonment. The numerator of the ratio corresponds to `SUMWAITINGTIMESVQABANDONED`, while the denominator corresponds to `RATEOFABANDONMENT`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### WAITINGTIMEVQABANDONEDREP

    public static final PerformanceMeasureType WAITINGTIMEVQABANDONEDREP

  Corresponds to the expectation of ratio version of `WAITINGTIMEVQABANDONED`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### WAITINGTIMEVQREP

    public static final PerformanceMeasureType WAITINGTIMEVQREP

  Corresponds to the expectation of ratio version of `WAITINGTIMEVQ`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### WAITINGTIMEVQSERVED

    public static final PerformanceMeasureType WAITINGTIMEVQSERVED

  Average time spent in virtual queue for contacts served after they are contacted back. The numerator of the ratio corresponds to `SUMWAITINGTIMESVQSERVED`, while the denominator corresponds to `RATEOFSERVICES`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### WAITINGTIMEVQSERVEDREP

    public static final PerformanceMeasureType WAITINGTIMEVQSERVEDREP

  Corresponds to the expectation of ratio version of `WAITINGTIMEVQSERVED`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

### WAITINGTIMEWAIT

    public static final PerformanceMeasureType WAITINGTIMEWAIT

  Expected total waiting time over the expected number of contacts having to wait in queue. The numerator of the ratio corresponds to `SUMWAITINGTIMES`, while the denominator corresponds to `RATEOFDELAY`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    FUNCTIONOFEXPECTATIONS

### WAITINGTIMEWAITREP

    public static final PerformanceMeasureType WAITINGTIMEWAITREP

  Corresponds to the expectation of ratio version of `WAITINGTIMEWAIT`.

  Row type
    CONTACTTYPE
  Column type
    MAINPERIOD
  Estimation type
    EXPECTATIONOFFUNCTION

Field Detail

### ABANDONMENTRATE

    @Deprecated
    public static final PerformanceMeasureType ABANDONMENTRATE

  Deprecated. Use `ABANDONMENTRATIO` instead.

### ABANDONMENTRATEAFTERAWT

    @Deprecated
    public static final PerformanceMeasureType ABANDONMENTRATEAFTERAWT

  Deprecated. Use `ABANDONMENTRATIOAFTERAWT` instead.

### ABANDONMENTRATEBEFOREAWT

    @Deprecated
    public static final PerformanceMeasureType ABANDONMENTRATEBEFOREAWT

  Deprecated. Use `ABANDONMENTRATIOBEFOREAWT` instead.

### ABANDONMENTRATEREP

    @Deprecated
    public static final PerformanceMeasureType ABANDONMENTRATEREP

  Deprecated. Use `ABANDONMENTRATIOREP` instead.

### ABANDONRATE

    @Deprecated
    public static final PerformanceMeasureType ABANDONRATE

  Deprecated. Use `ABANDONMENTRATIO` instead.

### ABANDONRATEAFTERAWT

    @Deprecated
    public static final PerformanceMeasureType ABANDONRATEAFTERAWT

  Deprecated. Use `ABANDONMENTRATIOAFTERAWT` instead.

### ABANDONRATEBEFOREAWT

    @Deprecated
    public static final PerformanceMeasureType ABANDONRATEBEFOREAWT

  Deprecated. Use `ABANDONMENTRATIOBEFOREAWT` instead.

### ABANDONRATEREP

    @Deprecated
    public static final PerformanceMeasureType ABANDONRATEREP

  Deprecated. Use `ABANDONMENTRATIOREP` instead.

### BLOCKRATE

    @Deprecated
    public static final PerformanceMeasureType BLOCKRATE

  Deprecated. Use `BLOCKRATIO` instead.

### BLOCKRATEREP

    @Deprecated
    public static final PerformanceMeasureType BLOCKRATEREP

  Deprecated. Use `BLOCKRATIOREP` instead.

### PATIENCETIME

    @Deprecated
    public static final PerformanceMeasureType PATIENCETIME

  Deprecated. Use `TIMETOABANDON` instead.

### PATIENCETIMEREP

    @Deprecated
    public static final PerformanceMeasureType PATIENCETIMEREP

  Deprecated. Use `TIMETOABANDONREP` instead.

### POSWAITRATIO

    @Deprecated
    public static final PerformanceMeasureType POSWAITRATIO

  Deprecated. Use `DELAYRATIO` instead.

### POSWAITRATIOREP

    @Deprecated
    public static final PerformanceMeasureType POSWAITRATIOREP

  Deprecated. Use `DELAYRATIOREP` instead.

### QOS

    @Deprecated
    public static final PerformanceMeasureType QOS

  Deprecated. Use `SERVICELEVEL` instead.

### QOS2

    @Deprecated
    public static final PerformanceMeasureType QOS2

  Deprecated. Use `SERVICELEVEL2` instead.

### QOS2REP

    @Deprecated
    public static final PerformanceMeasureType QOS2REP

  Deprecated. Use `SERVICELEVEL2REP` instead.

### QOSREP

    @Deprecated
    public static final PerformanceMeasureType QOSREP

  Deprecated. Use `SERVICELEVELREP` instead.

### RATEOFPOSWAIT

    @Deprecated
    public static final PerformanceMeasureType RATEOFPOSWAIT

  Deprecated. Use `RATEOFDELAY` instead.

Method Detail

### values

    public static PerformanceMeasureType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PerformanceMeasureType c : PerformanceMeasureType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PerformanceMeasureType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAgentToContactTrafficMatrix

    public static DoubleMatrix2D getAgentToContactTrafficMatrix(ContactCenterEval eval)

  Constructs and returns the agent-to-contact traffic matrix for the contact center evaluation system `eval`. This traffic matrix has dimensions I'×K, where I' = I + 1 if I > 1, and I otherwise. Element (i, k) of the matrix gives the fraction of contacts of type k served by agents in group i over the total number of contacts served by agents in group i. This fraction is 0 if the corresponding routing is not allowed. Element (I, k) gives the total fraction of contacts of type k served by any agent. Each column of a given row always sums to 1. This matrix is computed from the served rates (see `SERVEDRATES`).

  Parameters:
    `eval` - the evaluation system.
  Returns:
    the agent-to-contact traffic matrix.
  Throws:
    `NullPointerException` - if `eval` is `null`.
    `IllegalStateException` - if `ContactCenterEval.eval()` was never called on `eval`.
    `NoSuchElementException` - if the `SERVEDRATES` performance measure type is not supported by `eval`.

### getContactToAgentTrafficMatrix

    public static DoubleMatrix2D getContactToAgentTrafficMatrix(ContactCenterEval eval)

  Constructs and returns the contact-to-agent traffic matrix for the contact center evaluation system `eval`. This traffic matrix has dimensions K'×I, where K' = K + 1 if K > 1, and K otherwise. Element (k, i) of the matrix gives the fraction of contacts of type k sent to agents in group i, over the total number of served contacts of type k. This fraction is 0 if the corresponding routing is not allowed. Element (K, i) gives the total fraction of contacts served by agents in group i. Each column of a given row always sums to 1. This matrix is computed from the served rates (see `SERVEDRATES`).

  Parameters:
    `eval` - the evaluation system.
  Returns:
    the contact-to-agent traffic matrix.
  Throws:
    `NullPointerException` - if `eval` is `null`.
    `IllegalStateException` - if `ContactCenterEval.eval()` was never called on `eval`.
    `NoSuchElementException` - if the `SERVEDRATES` performance measure type is not supported by `eval`.

### columnName

    public String columnName(ContactCenterInfo eval,
                             int col)

  Returns the name associated with the column `col` in the matrix of results for this type of performance measure estimated by `eval`. For example, this may return `period 0` if called with index 0 for most performance measures.

  Parameters:
    `eval` - the contact center evaluation object.
    `col` - the column index.
  Returns:
    the column name.

### columnProperties

    public Map<String,String> columnProperties(ContactCenterInfo eval,
                                               int column)

  Returns the properties associated with the column `column` in a matrix of results for this type of performance measure estimated by `eval`.

  Parameters:
    `eval` - the contact center evaluation object.
    `column` - the column index.
  Returns:
    the column properties.

### columns

    public int columns(ContactCenterInfo eval)

  Returns the number of columns in a matrix of performance measures of this type estimated by the evaluation system `eval`.

  Parameters:
    `eval` - the queried evaluation system.
  Returns:
    the number of columns.

### columnTitle

    public String columnTitle()

  Returns the title that should identify the columns of the matrix of results for this type of performance measure. This returns `Periods` for most performance measures.

  Returns:
    the column title.

### getColumnType

    public ColumnType getColumnType()

  Returns the type of the columns in any matrix of this type of performance measure. Usually, columns represent main periods.

  Returns:
    the column type.

### getDescription

    public String getDescription()

  Returns the descriptive name of this group of performance measures. The returned name is intended to be used in reports, while the name returned by the method `Enum.name()` corresponds to the internal name of this type of performance measure, used in programs.

  Returns:
    the name of the group of performance measures.

### getEstimationType

    public EstimationType getEstimationType()

  Returns the type of estimation specified for this type of performance measure. This can be an expectation, a ratio of expectations, an expectation of ratios, or a raw statistic.

  Returns:
    the type of estimation for this performance measure type.

### getRowType

    public RowType getRowType()

  Returns the type of the rows in any matrix of this type of performance measure. For example, rows can represent contact types, or agent groups.

  Returns:
    the row type.

### getZeroOverZeroValue

    public double getZeroOverZeroValue()

  Determines the value associated with the undefined 0/0 ratio, for performance measures of this type.

  Returns:
    the value assocaited with 0/0.

### isPercentage

    public boolean isPercentage()

  Returns `true` if and only if performance measures of this type can be expressed in percentage. Such measures are ratios defined on [0, 1], e.g., the service level, and may be formatted in percentage by reporting facilities.

  Returns:
    `true` if and only if performance measures of this type can be expressed as percentages.

### isTime

    public boolean isTime()

  Determines if performance measures of this type represent time durations. This includes, e.g., waiting times and service times. Times produced by evaluation systems are expressed in the default unit returned by `ContactCenterInfo.getDefaultUnit()`. Reporting facilities can convert this time to the appropriate visual representation.

  Returns:
    `true` if and only if performance measures of this type represent times.

### rowName

    public String rowName(ContactCenterInfo eval,
                          int row)

  Returns the name associated with the row `row` in a matrix of results for this type of performance measure estimated by `eval`. For example, if the method is called for the service level, and row 0, it may return `inbound type 0`.

  Parameters:
    `eval` - the contact center evaluation object.
    `row` - the row index.
  Returns:
    the row name.

### rowProperties

    public Map<String,String> rowProperties(ContactCenterInfo eval,
                                            int row)

  Returns the properties associated with the row `row` in a matrix of results for this type of performance measure estimated by `eval`.

  Parameters:
    `eval` - the contact center evaluation object.
    `row` - the row index.
  Returns:
    the row properties.

### rows

    public int rows(ContactCenterInfo eval)

  Returns the number of rows in a matrix of performance measures of this type estimated by the evaluation system `eval`.

  Parameters:
    `eval` - the queried evaluation system.
  Returns:
    the number of rows.

### rowTitle

    public String rowTitle()

  Returns the title that should identify the rows of matrices of results for this type of performance measure. For example, this may return `Groups` for agents' occupancy ratio.

  Returns:
    the row title.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.